import React, { ReactNode } from 'react';
import { FormComponentProps } from 'antd/es/form';
import { FormTitleInterface, FormItemsInterface, childrenTypeEnum } from '../interface';
import './index.less';
declare type getContainerFunc = () => HTMLElement;
declare const PlacementTypes: ["top", "right", "bottom", "left"];
declare type placementType = typeof PlacementTypes[number];
declare type EventType = React.KeyboardEvent<HTMLDivElement> | React.MouseEvent<HTMLDivElement | HTMLButtonElement>;
export interface DrawerProps {
    closable?: boolean;
    destroyOnClose?: boolean;
    getContainer?: string | HTMLElement | getContainerFunc | false;
    maskClosable?: boolean;
    mask?: boolean;
    maskStyle?: React.CSSProperties;
    style?: React.CSSProperties;
    /** wrapper dom node style of header and body */
    drawerStyle?: React.CSSProperties;
    headerStyle?: React.CSSProperties;
    bodyStyle?: React.CSSProperties;
    title?: React.ReactNode;
    visible?: boolean;
    width?: number | string;
    height?: number | string;
    wrapClassName?: string;
    zIndex?: number;
    prefixCls?: string;
    push?: boolean;
    placement?: placementType;
    onClose?: (e: EventType) => void;
    afterVisibleChange?: (visible: boolean) => void;
    className?: string;
    handler?: React.ReactNode;
    keyboard?: boolean;
}
interface CCDrawerProps {
    title?: string | FormTitleInterface | any;
    visible?: boolean;
    formitems?: Array<FormItemsInterface | null | undefined>;
    width?: number;
    onClose?: () => void;
    onSubmit?: (values: any) => void;
    record?: any;
    maskClosable?: boolean;
    form: FormComponentProps['form'];
    disabled?: boolean;
    footer?: ReactNode;
    childrenType?: childrenTypeEnum;
    formmode: 'view' | 'create' | 'update';
    loading?: boolean;
}
declare const CCDrawer: React.FC<CCDrawerProps>;
export default CCDrawer;
